Package org.apache.solr.client.solrj.request

# Class RequestWriter.StringPayloadContentWriter

java.lang.Object
org.apache.solr.client.solrj.request.RequestWriter.StringPayloadContentWriter

All Implemented Interfaces:
  `RequestWriter.ContentWriter`

Enclosing class:
  `RequestWriter`

public static class RequestWriter.StringPayloadContentWriter extends Object implements RequestWriter.ContentWriter

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`payload`
`final String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`StringPayloadContentWriter(String payload, String type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`void`
`write(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### payload

public final String payload

### type

public final String type

## Constructor Details

### StringPayloadContentWriter

public StringPayloadContentWriter(String payload, String type)

## Method Details

### write

public void write(OutputStream os) throws IOException

Specified by:
  `write` in interface `RequestWriter.ContentWriter`
Throws:
  `IOException`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `RequestWriter.ContentWriter`